#include "HX711.h"                 // Подключаем библиотеку HX711
HX711 scale;                       // Создаём объект scale 

#define DT  4                      // Указываем номер вывода, к которому подключен вывод DT  датчика HX711
#define SCK 5                      // Указываем номер вывода, к которому подключен вывод SCK датчика HX711

float calibration_factor = -0.89;  // Вводим калибровочный коэффициент
float units;                       // Задаём переменную для измерений в граммах
float ounces;                      // Задаём переменную для измерений в унциях

void setup()
{
  Serial.begin(57600);             // Инициируем работу последовательного порта на скорости 9600 бод
  scale.begin(DT, SCK);            // Инициируем работу с датчиком
  scale.set_scale();               // Выполняем измерение значения без калибровочного коэффициента
  scale.tare();                    // Сбрасываем значения веса на датчике в 0
  scale.set_scale(calibration_factor); // Устанавливаем калибровочный коэффициент
}

void loop() {
  Serial.print("Reading: ");         // Выводим текст в монитор последовательного порта
  for (int i = 0; i < 10; i ++) {    // Усредняем показания, считав значения датчика 10 раз
    units = + scale.get_units(), 10; // Суммируем показания 10 замеров
  }
  units = units / 10;                // Усредняем показания, разделив сумму значений на 10
  ounces = (units * 0.035274)*10;    // Переводим вес из унций в граммы
  Serial.print(ounces);              // Выводим в монитор последовательного порта вес в граммах
  Serial.println(" grams");          // Выводим текст в монитор последовательного порта
}
